jm.util

## Class Read.JmMidiProcessor

- java.lang.Object
- - jm.util.Read.JmMidiProcessor

- Enclosing class:
    Read

      protected static class Read.JmMidiProcessor
      extends java.lang.Object

  Handles methods common to the main static methods.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Read.JmMidiProcessor(java.io.File file)` Creates a new processor for reading jm and midi information from a specified File.
    `Read.JmMidiProcessor(java.lang.String directory, java.lang.String filename)` Creates a new processor for reading jm and midi information from the specified directory and file Strings.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()` Returns the error message.
    `Score` | `getScore()` Returns the score extracted from the file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Read.JmMidiProcessor

          public Read.JmMidiProcessor(java.io.File file)

      Creates a new processor for reading jm and midi information from a specified File.
      Parameters:
        `file` - File storing the musical information

    - #### Read.JmMidiProcessor

          public Read.JmMidiProcessor(java.lang.String directory,
                              java.lang.String filename)

      Creates a new processor for reading jm and midi information from the specified directory and file Strings.
      Parameters:
        `directory` - String describing the path of the directory, this must be terminated with a file separator.
        `filename` - String describing the name of the file to be read

  - ### Method Detail

    - #### getScore

          public Score getScore()

      Returns the score extracted from the file.
      Returns:
        score read, or null if an error occured

    - #### getMessage

          public java.lang.String getMessage()

      Returns the error message.
      Returns:
        description of error, or null if no error occured